# Mono.DocTest.DocValueType

DocTest : Mono.DocTest Namespace

# DocValueType Struct

Process interface

## Syntax

public struct DocValueType : IProcess

## Remarks

`T:Mono.DocTest.DocValueType`.

## Requirements

Namespace: Mono.DocTest
Assembly: DocTest (in DocTest.dll)
Assembly Versions: 0.0.0.0

## Members

See Also: Inherited members from ValueType.

## Public Fields

| total | int . Documentation for this section has not yet been entered.

## Public Methods

M (int)

> Documentation for this section has not yet been entered.

## Extension Methods

static

ToEnumerable<T> (this T) : IEnumerable<T>

> `System.Object` extension method

## Member Details

### M Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void M (int i)

> #### Parameters

> > i
> >   A int.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > ApplicationException | Documentation for this section has not yet been entered.
> > SystemException | Documentation for this section has not yet been entered.

> ## Remarks

> DocValueType.M(int).

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0

### total Field

> Documentation for this section has not yet been entered.

> ## Syntax

> public int total

> ## Remarks

> `F:Mono.DocTest.DocValueType.total`.

> ## Requirements

> Namespace: Mono.DocTest
> Assembly: DocTest (in DocTest.dll)
> Assembly Versions: 0.0.0.0